Bug 512491 - screensaver "job" is restarted every 10 minutes
screensaver "job" is restarted every 10 minutes
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-17 19:36 EDT by Christian Krause
Modified: 2015-01-14 18:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 14:51:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 485626 None None None Never

  None (edit)
Description Christian Krause 2009-07-17 19:36:52 EDT
Description of problem:

During investigating BZ #485626 I've found a strange behaviour of the gnome-screensaver: Every 10 minutes the screensaver process which actually draws the screensaver is restarted.
This is controlled by the gconf entry: /apps/gnome-screensaver/cycle_delay, which is by default 10 (minutes).

Version-Release number of selected component (if applicable):
gnome-screensaver-2.26.1-2.fc11.i586

How reproducible:
100%

Steps to Reproduce:
1. start gnome-screensaver manually with --no-daemon and --debug
2. activate screensaver, wait 10 minutes (or configure the cycle_delay to a shorter value ;-) )
  
Actual results:
[gs_manager_cycle] gs-manager.c:640 (00:41:32):  cycling jobs
[gs_job_stop] gs-job.c:483 (00:41:32):   stopping job
[gs_job_died] gs-job.c:128 (00:41:32):   Waiting on process 5729
[gs_job_died] gs-job.c:142 (00:41:32):   Job died
[gs_job_set_command] gs-job.c:193 (00:41:32):    Setting command for job:
'f-spot-screensaver'


Expected results:
If there is only one possible screensaver configured, gnome-screensaver should let it running instead of restarting it every cycle_delay minutes.
Comment 1 jmccann 2009-09-02 14:51:56 EDT
This is as designed.  One reason for it is so that a rogue screensaver engine can't take down a running system with leaks etc.  If you want to change the default value for this time - you may.

Note You need to log in before you can comment on or make changes to this bug.